## org.eclipse.datatools.modelbase.sql.routines.provider
Class SQLRoutinesItemProviderAdapterFactory

    java.lang.Object
      AdapterFactoryImpl
          org.eclipse.datatools.modelbase.sql.routines.util.SQLRoutinesAdapterFactory
              org.eclipse.datatools.modelbase.sql.routines.provider.SQLRoutinesItemProviderAdapterFactory

public class SQLRoutinesItemProviderAdapterFactory
extends SQLRoutinesAdapterFactory

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

See Also:
  Serialized Form

Constructor Summary
`SQLRoutinesItemProviderAdapterFactory()` This constructs an instance.

Method Summary
`Adapter` `adapt(Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
`void` `addListener(INotifyChangedListener notifyChangedListener)` This adds a listener.
`Adapter` `createBuiltInFunctionAdapter()` This creates an adapter for a `BuiltInFunction`.
`Adapter` `createFunctionAdapter()` This creates an adapter for a `Function`.
`Adapter` `createMethodAdapter()` This creates an adapter for a `Method`.
`Adapter` `createParameterAdapter()` This creates an adapter for a `Parameter`.
`Adapter` `createProcedureAdapter()` This creates an adapter for a `Procedure`.
`Adapter` `createRoutineResultTableAdapter()` This creates an adapter for a `RoutineResultTable`.
`Adapter` `createSourceAdapter()` This creates an adapter for a `Source`.
`Adapter` `createUserDefinedFunctionAdapter()` This creates an adapter for a `UserDefinedFunction`.
`void` `fireNotifyChanged(Notification notification)` This delegates to `#changeNotifier` and to `#parentAdapterFactory`.
`ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` `isFactoryForType(java.lang.Object type)`
`void` `removeListener(INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` `setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

Methods inherited from class org.eclipse.datatools.modelbase.sql.routines.util.SQLRoutinesAdapterFactory
`createAdapter, createEModelElementAdapter, createENamedElementAdapter, createEObjectAdapter, createRoutineAdapter, createSQLObjectAdapter, createTableAdapter, createTypedElementAdapter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLRoutinesItemProviderAdapterFactory

    public SQLRoutinesItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createSourceAdapter

    public Adapter createSourceAdapter()

  This creates an adapter for a `Source`.

  Overrides:
    `createSourceAdapter` in class `SQLRoutinesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Source`

### createParameterAdapter

    public Adapter createParameterAdapter()

  This creates an adapter for a `Parameter`.

  Overrides:
    `createParameterAdapter` in class `SQLRoutinesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Parameter`

### createProcedureAdapter

    public Adapter createProcedureAdapter()

  This creates an adapter for a `Procedure`.

  Overrides:
    `createProcedureAdapter` in class `SQLRoutinesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Procedure`

### createFunctionAdapter

    public Adapter createFunctionAdapter()

  This creates an adapter for a `Function`.

  Overrides:
    `createFunctionAdapter` in class `SQLRoutinesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Function`

### createRoutineResultTableAdapter

    public Adapter createRoutineResultTableAdapter()

  This creates an adapter for a `RoutineResultTable`.

  Overrides:
    `createRoutineResultTableAdapter` in class `SQLRoutinesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `RoutineResultTable`

### createMethodAdapter

    public Adapter createMethodAdapter()

  This creates an adapter for a `Method`.

  Overrides:
    `createMethodAdapter` in class `SQLRoutinesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Method`

### createUserDefinedFunctionAdapter

    public Adapter createUserDefinedFunctionAdapter()

  This creates an adapter for a `UserDefinedFunction`.

  Overrides:
    `createUserDefinedFunctionAdapter` in class `SQLRoutinesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `UserDefinedFunction`

### createBuiltInFunctionAdapter

    public Adapter createBuiltInFunctionAdapter()

  This creates an adapter for a `BuiltInFunction`.

  Overrides:
    `createBuiltInFunctionAdapter` in class `SQLRoutinesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `BuiltInFunction`

### getRootAdapterFactory

    public ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

### setParentAdapterFactory

    public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Overrides:
    `isFactoryForType` in class `SQLRoutinesAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.

### adapt

    public Adapter adapt(Notifier notifier,
                         java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

### addListener

    public void addListener(INotifyChangedListener notifyChangedListener)

  This adds a listener.

### removeListener

    public void removeListener(INotifyChangedListener notifyChangedListener)

  This removes a listener.

### fireNotifyChanged

    public void fireNotifyChanged(Notification notification)

  This delegates to `#changeNotifier` and to `#parentAdapterFactory`.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.